svn commit: samba r8384 - in branches/SAMBA_3_0: examples examples/debugging examples/logon/ntlogon examples/scripts examples/scripts/printing/cups examples/scripts/shares/perl examples/scripts/shares/python packaging/sysv

jerry at samba.org jerry at samba.org
Tue Jul 12 16:34:45 GMT 2005


Author: jerry
Date: 2005-07-12 16:34:44 +0000 (Tue, 12 Jul 2005)
New Revision: 8384

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8384

Log:
merging clutter fixes from relerase branch
Added:
   branches/SAMBA_3_0/examples/logon/
   branches/SAMBA_3_0/examples/scripts/debugging/
   branches/SAMBA_3_0/examples/scripts/printing/
   branches/SAMBA_3_0/examples/scripts/shares/
   branches/SAMBA_3_0/packaging/sysv/samba.init
Removed:
   branches/SAMBA_3_0/examples/debugging/README
   branches/SAMBA_3_0/examples/debugging/solaris-oops.sh
   branches/SAMBA_3_0/examples/genlogon/
   branches/SAMBA_3_0/examples/mklogon/
   branches/SAMBA_3_0/examples/ntlogon/
   branches/SAMBA_3_0/examples/scripts/backtrace
   branches/SAMBA_3_0/examples/scripts/perl/
   branches/SAMBA_3_0/examples/scripts/python/
   branches/SAMBA_3_0/examples/svr4-startup/
Modified:
   branches/SAMBA_3_0/examples/logon/ntlogon/ntlogon.py
   branches/SAMBA_3_0/examples/scripts/printing/cups/smbaddprinter.pl
   branches/SAMBA_3_0/examples/scripts/printing/cups/smbdelprinter.pl
   branches/SAMBA_3_0/examples/scripts/shares/perl/modify_samba_config.pl
   branches/SAMBA_3_0/examples/scripts/shares/python/generate_parm_table.py
   branches/SAMBA_3_0/examples/scripts/shares/python/modify_samba_config.py


Changeset:
Deleted: branches/SAMBA_3_0/examples/debugging/README
===================================================================
--- branches/SAMBA_3_0/examples/debugging/README	2005-07-12 16:30:13 UTC (rev 8383)
+++ branches/SAMBA_3_0/examples/debugging/README	2005-07-12 16:34:44 UTC (rev 8384)
@@ -1,28 +0,0 @@
-Last update: John H Terpstra - June 27, 2005
-
-Subject: This directory will contain debugging tools and tips.
-
-Notes: Identification and confirmation of some bugs can be difficult.
-       When such bugs are encountered it is necessary to provide as
-       sufficient detailed debugging information to assist the developer
-       both by providing incontrivertable proof of the problem, but also
-       precise information regarding the values of variables being processed
-       at the time the problem strikes.
-
-       This directory is the ideal place to locate useful hints, tips and
-       methods that will help Samba users to provide the information that
-       developers need.
-
-============================ Solaris Method A ==============================
-File:	 		solaris-oops.sh
-Contributor: 	David Collier-Brown
-Date: 			June 27, 2005
-Method and Use:
-To the global stanza of smb.conf add:
-	panic action = /usr/local/bin/solaris-oops.sh %d
-
-When the panic action is initiated a voluntary core dump file will be placed 
-in /var/tmp. Use this method with "log level = 10" and an smbd binary that
-has been built with the '-g' option.
-============================================================================
-

Deleted: branches/SAMBA_3_0/examples/debugging/solaris-oops.sh
===================================================================
--- branches/SAMBA_3_0/examples/debugging/solaris-oops.sh	2005-07-12 16:30:13 UTC (rev 8383)
+++ branches/SAMBA_3_0/examples/debugging/solaris-oops.sh	2005-07-12 16:34:44 UTC (rev 8384)
@@ -1,55 +0,0 @@
-#!/bin/sh
-#
-# solaris_panic_action -- capture supporting information after a failure
-#
-ProgName=`basename $0`
-LOGDIR=/usr/local/samba/var
-
-main() {
-	pid=$1
-
-	if [ $# -lt 1 ]; then
-		say "$ProgName error: you must supply a pid"
-		say "Usage: $0 pid"
-		exit 1
-	fi
-	cat >>$LOGDIR/log.solaris_panic_action <<!
-
-`date`
-State information and vountary core dump for process $pid
-
-Related processes were:
-`/usr/bin/ptree $pid`
-
-Stack(s) were:
-`/usr/bin/pstack $pid`
-
-Flags were:
-`/usr/bin/pflags $pid`
-
-Credentials were:
-`/usr/bin/pcred $pid`
-
-Libraries used were:
-`/usr/bin/pldd $pid`
-
-Signal-handler settings were:
-`/usr/bin/psig $pid`
-
-Files and devices in use were:
-`/usr/bin/pfiles $pid`
-
-Directory in use was:
-`/usr/bin/pwdx $pid`
-
-
-A voluntary core dump was placed in /var/tmp/samba_solaris_panic_action_gcore.$pid
-`gcore -o /var/tmp/samba_solaris_panic_action_gcore $pid`
-!
-}
-
-say() {
-	echo "$@" 1>&2
-}
-
-main "$@"

Copied: branches/SAMBA_3_0/examples/logon (from rev 8382, branches/SAMBA_3_0_RELEASE/examples/logon)

Deleted: branches/SAMBA_3_0/examples/scripts/backtrace
===================================================================
--- branches/SAMBA_3_0/examples/scripts/backtrace	2005-07-12 16:30:13 UTC (rev 8383)
+++ branches/SAMBA_3_0/examples/scripts/backtrace	2005-07-12 16:34:44 UTC (rev 8384)
@@ -1,41 +0,0 @@
-#! /bin/sh
-#
-# Author: Andrew Tridgell <tridge at samba dot org>
-
-# we want everything on stderr, so the program is not disturbed
-exec 1>&2
-
-BASENAME=$( basename $0)
-
-test -z ${GDB_BIN} && GDB_BIN=$( type -p gdb)
-if [ -z ${GDB_BIN} ]; then
-	echo "ERROR: ${BASENAME} needs an installed gdb. "
-	exit 1
-fi
-
-if [ -z $1 ]; then
-	echo "ERROR: ${BASENAME} needs a PID. "
-	exit 1
-fi
-PID=$1
-
-# use /dev/shm as default temp directory
-test -d /dev/shm && \
-	TMP_BASE_DIR=/dev/shm || \
-	TMP_BASE_DIR=/var/tmp
-TMPFILE=$( mktemp -p ${TMP_BASE_DIR} backtrace.XXXXXX)
-if [ $? -ne 0 ]; then
-	echo "ERROR: ${basename} can't create temp file in ${TMP_BASE_DIR}. "
-	exit 1
-fi
-
-cat << EOF  > "${TMPFILE}"
-set height 0
-up 8
-bt full
-quit
-EOF
-
-${GDB_BIN} -x "${TMPFILE}" "/proc/${PID}/exe" "${PID}"
-
-/bin/rm -f "${TMPFILE}"

Copied: branches/SAMBA_3_0/examples/scripts/debugging (from rev 8382, branches/SAMBA_3_0_RELEASE/examples/scripts/debugging)

Copied: branches/SAMBA_3_0/examples/scripts/printing (from rev 8382, branches/SAMBA_3_0_RELEASE/examples/scripts/printing)

Copied: branches/SAMBA_3_0/examples/scripts/shares (from rev 8382, branches/SAMBA_3_0_RELEASE/examples/scripts/shares)

Copied: branches/SAMBA_3_0/packaging/sysv/samba.init (from rev 8382, branches/SAMBA_3_0_RELEASE/packaging/sysv/samba.init)


Property changes on: branches/SAMBA_3_0/packaging/sysv/samba.init
___________________________________________________________________
Name: svn:executable
   + 



More information about the samba-cvs mailing list